Subject: Re: Bug in pine4.31/imap/src/osdep/unix/auth_ssl.c #001212@02:26:16.4270

From: "Mike A. Harris" <[email-masked]>
Date: Wed, 13 Dec 2000 08:24:55 -0500 (EST)

On Tue, 12 Dec 2000, Mark Crispin wrote:

>> The file pine4.31/imap/src/osdep/unix/auth_ssl.c contains an
>> MSDOS CRLF character (^L) or 0x0c embedded in it just immediately
>> after the opening comment.  Most likely someone edited this file
>> with an MSDOS/Windows editor and committed the change.  ;o(
>
>For your information, a CTRL/L character is a Form Feed, not a CRLF.
>It causes the printer to eject the page and start a new one.

Yes, as I said already.. I fell asleep at the wheel there..  ;o)

>The c-client files have many CTRL/Ls in them.  If you notice, these
>characters tend to be at obvious places where you would break page in a
>listing.
>
>Also, when using EMACS narrow-to-page, they also constitute fairly obvious
>pages.

Again, I've never seen FF's in source code before so I had jumped
to conclusion as I thought it was a single glitch rather than a
multiple intended "feature" if you will..  I wasn't aware FF's
were legal.

Thanks for the clarification.

-- 
Mike A. Harris                  Mailing address:
OS Systems Engineer             190 Pittsburgh Ave.
Red Hat Inc.                    Sault Ste. Marie,
(705)949-2136                   Ontario, Canada, P6C 5B3